This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 743894 - Upgrade to major-version 5
Upgrade to major-version 5
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: collectd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
Depends On: 797773
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-06 08:16 EDT by Stefan Neufeind
Modified: 2012-09-27 01:02 EDT (History)
8 users (show)

See Also:
Fixed In Version: collectd-5.0.4-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-27 01:02:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Neufeind 2011-10-06 08:16:13 EDT
It would be great to please upgrade collectd in Fedora + EPEL to major-version 5. It has been around since March now and provides major new features while preserving at least a minimum of common ground to work with collectd v4-data from sensors.
Comment 1 Andrew Elwell 2012-02-27 08:35:47 EST
OK - I have a patched spec and srpm available at 

http://dl.dropbox.com/u/6594808/Fedora/collectd.spec
http://dl.dropbox.com/u/6594808/Fedora/collectd-5.0.3-1.fc16.src.rpm

Apart from minor changes (new binaries / manpages needed adding) I've left the original pretty much unchanged. There's one upstream fix needed (already tracked on https://github.com/collectd/collectd/pull/35 which means we temporarily have dependencies on autoconf just now. 

It's not building on rawhide due to a bug (related to usrMove) in iptables-devel - with a patched iptables rpm that too compiles and builds OK. See bug #797773 for details (can't resolve iptc_init)
Comment 2 Alan Pevec 2012-02-27 09:02:41 EST
Thanks for the spec patch, I'll commit that and build when iptables is fixed.
Comment 3 Andrew Elwell 2012-02-27 09:11:00 EST
Hi - I'm actually working on getting some of the -5 only features enabled, priority for me is the AMQP hook, and I haven't done any regression checks to make sure all the existing 4.10 features still work.

I'll update my dropbox copy as n when I remember as I (fedora id 'Elwell' ) don't have git commit access to collectd
Comment 4 Alan Pevec 2012-02-28 18:07:52 EST
Summary after discussion on the list:
- update to 5.0 in rawhide and f17 (depending on iptables fix)
- keep 4.10.x for f16
- create parallel installable collectd5 for epel6
Comment 5 Alan Pevec 2012-03-02 07:08:18 EST
> Hi - I'm actually working on getting some of the -5 only features enabled,
> priority for me is the AMQP hook, and I haven't done any regression checks to
> make sure all the existing 4.10 features still work.

F17 is actually feature frozen, so let's push that work to f18 and I'll update f17 and f16 to the latest maintenance release 4.10.6
Comment 6 Alan Pevec 2012-05-02 10:41:03 EDT
(In reply to comment #4)
> - create parallel installable collectd5 for epel6

Initial collectd5.spec by eolamey - remaining issues are:
- rename libcollectdclient
- rename Collectd perl module

https://github.com/eolamey/pakk/blob/master/packages/collectd5/collectd5.spec
Comment 7 Christopher Meng 2012-09-13 11:07:54 EDT
Hey maintainer, 

I wish you could do an update for rawhide,because F18 is important for RHEL7,I want to taste the newest soft.
Comment 8 Alan Pevec 2012-09-17 12:36:32 EDT
Andrew, f18 is closing in, so I'll commit latest spec from you.
For further improvements, please request commit in FAS, so you can update directly.
Comment 9 Fedora Update System 2012-09-17 14:46:37 EDT
collectd-5.0.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/collectd-5.0.4-1.fc18
Comment 10 Alan Pevec 2012-09-17 14:56:14 EDT
Hi Christopher, 

please test collectd-5.0.4-1.fc18 build when you get a chance!
Comment 11 Christopher Meng 2012-09-17 18:44:21 EDT
Ok, I'll try this later!
Comment 12 Fedora Update System 2012-09-18 15:21:58 EDT
Package collectd-5.0.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing collectd-5.0.4-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14276/collectd-5.0.4-1.fc18
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2012-09-27 01:02:26 EDT
collectd-5.0.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.